3.0 install.sh error

Discussion in 'Install/Configuration' started by bob, Mar 16, 2007.

  1. bob

    bob New Member

    On Ubuntu 6.06:

    Code:
    Please specify the destination directory. You must have permissions to 
    create and manage the directory. It is recommended to install the web server 
    at /opt/lsws, /usr/local/lsws or in your home directory like '~/lsws'.
    
    ATTENTION: The user 'nobody' must be able to access the destination
               directory.
    
    Destination [/opt/lsws]: 
    
    
    Please specify the user name of the administrator.
    This is the user name required to log into the administration web interface.
    
    User name [admin]: 
    
    Please specify the administrator's password.
    This is the password required to log into the administration web interface.
    
    Password: 
    Retype password: 
    [B]/root/tmp/lsws-3.0/admin/fcgi-bin/admin_php: error while loading shared libraries: libjpeg.so.62: cannot open shared object file: No such file or directory[/B]
    
    As you are the root user, you must choose the user and group
    whom the web server will be running as. For security reason, you should choose
    a non-system user who does not have login shell and home directory such as
    'nobody'.
  2. mistwang

    mistwang LiteSpeed Staff

    Oops! looks like the shared library of libjpeg slipped in when we build the PHP binary. Will be fixed, you can fix it by installing libjpeg for now.
  3. bob

    bob New Member

    Forgot to mention:

    Code:
    [ERROR] Can not find /opt/lsws/lib/apc.so., please run install.sh again!
  4. mistwang

    mistwang LiteSpeed Staff

    The PHP problem has been fixed in the updated 3.0 package, please download and try again.
  5. bob

    bob New Member

    worked, thanks !

Share This Page